import Promise from "bluebird";
import Connection from "./connection";
import Parser from "./parser";
export default class EmulatorCommand {
    protected connection: Connection;
    protected parser: Parser;
    protected timeout?: number;
    constructor(connection: Connection, parser: Parser);
    setTimeout(ms: number): this;
    execute(...args: any[]): Promise<any>;
}
