"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var parsecommand_1 = __importDefault(require("../parsecommand"));
var GsmListCommand = (function (_super) {
    __extends(GsmListCommand, _super);
    function GsmListCommand() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    GsmListCommand.prototype.parse = function (value) {
        var list = [];
        var regExp = /^([\s\S]*?) (to|from)([\s\S]*?): ([\s\S]*?)$\r\n/gm;
        var match;
        while ((match = regExp.exec(value))) {
            list.push({
                type: match[1],
                phoneNr: match[3].trim(),
                status: match[4],
            });
        }
        return list;
    };
    GsmListCommand.prototype.execute = function () {
        return _super.prototype.execute.call(this, "gsm list");
    };
    return GsmListCommand;
}(parsecommand_1.default));
exports.default = GsmListCommand;
