"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmulatorPorts = exports.stringToType = exports.Parser = exports.EmulatorClient = void 0;
var client_1 = require("./client");
Object.defineProperty(exports, "EmulatorClient", { enumerable: true, get: function () { return __importDefault(client_1).default; } });
var parser_1 = require("./parser");
Object.defineProperty(exports, "Parser", { enumerable: true, get: function () { return __importDefault(parser_1).default; } });
function stringToType(value) {
    var num = Number(value);
    if (isNaN(num) || value === "") {
        switch (value) {
            case "":
                return undefined;
            case "true":
                return true;
            case "false":
                return false;
            case "null":
                return null;
            default:
                return value;
        }
    }
    else {
        return num;
    }
}
exports.stringToType = stringToType;
exports.EmulatorPorts = Array.from(Array(32).keys()).map(function (value, index) {
    return index + 5554;
});
