"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var command_1 = __importDefault(require("./command"));
var VoidQueueCommand = (function (_super) {
    __extends(VoidQueueCommand, _super);
    function VoidQueueCommand() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.queue = [];
        return _this;
    }
    VoidQueueCommand.prototype.escape = function (arg, prefix) {
        switch (typeof arg) {
            case "undefined":
                return "";
            default:
                return prefix ? "".concat(prefix).concat(arg) : "".concat(arg);
        }
    };
    VoidQueueCommand.prototype.addArg = function (cmd, delimiter) {
        var arg = this.escape(cmd, delimiter);
        if (arg)
            this.queue.push(arg);
        return this;
    };
    VoidQueueCommand.prototype.execute = function (cmd) {
        return _super.prototype.execute.call(this, "".concat(cmd).concat(this.queue.join(" "))).thenReturn();
    };
    return VoidQueueCommand;
}(command_1.default));
exports.default = VoidQueueCommand;
