"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var parsecommand_1 = __importDefault(require("../parsecommand"));
var AvdSnapshotListCommand = (function (_super) {
    __extends(AvdSnapshotListCommand, _super);
    function AvdSnapshotListCommand() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    AvdSnapshotListCommand.prototype.parse = function (value) {
        var props = [];
        var regExp = /^(--|\d{1,2})        ([\s\S]*?)(\d+\.\d{1}[\s\S]) ([\s\S]*?)   ([\s\S]*?)$\r\n/gm;
        var match;
        while ((match = regExp.exec(value))) {
            props.push({
                id: match[1] === "--" ? undefined : match[1],
                tag: match[2].trim(),
                size: match[3],
                date: new Date(match[4]),
                vmClock: match[5],
            });
        }
        return props;
    };
    AvdSnapshotListCommand.prototype.execute = function () {
        return _super.prototype.execute.call(this, "avd snapshot list");
    };
    return AvdSnapshotListCommand;
}(parsecommand_1.default));
exports.default = AvdSnapshotListCommand;
