"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var parsecommand_1 = __importDefault(require("../parsecommand"));
var NetworkStatusCommand = (function (_super) {
    __extends(NetworkStatusCommand, _super);
    function NetworkStatusCommand() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    NetworkStatusCommand.prototype.parse = function (value) {
        var regExp = /^  ([\s\S]*?): ([\s\S]*?)$\r\n/gm;
        var match;
        var res = {};
        while ((match = regExp.exec(value))) {
            res[match[1].replace(" ", "_").toUpperCase()] = match[2].trim();
        }
        return res;
    };
    NetworkStatusCommand.prototype.execute = function () {
        return _super.prototype.execute.call(this, "network status");
    };
    return NetworkStatusCommand;
}(parsecommand_1.default));
exports.default = NetworkStatusCommand;
